body {
  overflow: hidden;
}

#header {
  position: fixed;
  display: flex;
  left: 0;
  right: 0;
  top: 0;
  height: 64px;
  border-bottom: 1px solid #000;
  box-sizing: border-box;
}

#builder {
  position: fixed;
  left: 0;
  right: 0;
  top: 64px;
  bottom: 0;
  z-index: 1;
  transform: translateX(-100%);
  transition: transform 0.25s ease-out;
}

#builder.visible {
  transform: translateX(0);
}

#runner {
  position: fixed;
  left: 0;
  top: 64px;
  bottom: 0;
  right: 0;
  z-index: 0;
}

#autoscroll,
#chat,
#classic {
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
  overflow: hidden;
  scroll-behavior: smooth;
  -webkit-overflow-scrolling: touch;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.25s ease-out;
}

#autoscroll > iframe,
#chat > iframe,
#classic > iframe {
  pointer-events: none;
}

#autoscroll.visible, #chat.visible, #classic.visible {
    opacity: 1;
    pointer-events: auto;
}

#autoscroll.visible > iframe, #chat.visible > iframe, #classic.visible > iframe {
  pointer-events: auto;
}

@media (min-width: 992px) {
  #builder {
    right: 50%;
    transform: translateX(0);
  }

  #runner {
    left: 50%;
  }
}
